package com.liang.service;

import com.liang.entity.SysDictInfo;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;

import java.util.List;
import java.util.Map;

/**
 * (SysDictInfo)表服务接口
 *
 * @author makejava
 * @since 2023-02-25 22:29:47
 */
public interface SysDictInfoService {

    /**
     * 通过ID查询单条数据
     *
     * @param dictId 主键
     * @return 实例对象
     */
    SysDictInfo queryById(String dictId);

    /**
     * 分页查询
     *
     * @param sysDictInfo 筛选条件
     * @param pageRequest 分页对象
     * @return 查询结果
     */
    Page<SysDictInfo> queryByPage(SysDictInfo sysDictInfo, PageRequest pageRequest);

    /**
     * 新增数据
     *
     * @param sysDictInfo 实例对象
     * @return 实例对象
     */
    SysDictInfo insert(SysDictInfo sysDictInfo);

    /**
     * 修改数据
     *
     * @param sysDictInfo 实例对象
     * @return 实例对象
     */
    SysDictInfo update(SysDictInfo sysDictInfo);

    /**
     * 通过主键删除数据
     *
     * @param dictId 主键
     * @return 是否成功
     */
    boolean deleteById(String dictId);

    /**
     * 通过dictCode查询单条数据
     *
     * @param dictCode
     * @return List
     */
    List<Map<String, String>> queryByCode(String dictCode);

    /**
     * 获取指定的枚举Map
     *
     * @param dictCode 字典编码
     * @return
     */
    Map<String, String> getDictMap(String dictCode);

}
